summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Adis Nezirovic <adis_at_linux.org.ba>2010-05-13 00:41:27 +0200
committer Erik Hanson <erik@slackbuilds.org>2010-05-13 00:41:27 +0200
commit6d9a73d91bbb4e5c0f52d2953bc8503f18a3a3a6 (patch)
tree1d327cc63cfe8421cc1d6bdd3c82cc80a4ce2dc8
parent04c319e55c325208611d6be82b88f5c57c68a5e2 (diff)
downloadslackbuilds-6d9a73d91bbb4e5c0f52d2953bc8503f18a3a3a6.tar.gz
slackbuilds-6d9a73d91bbb4e5c0f52d2953bc8503f18a3a3a6.tar.xz
system/postgresql: Updated for version 8.4.2
-rw-r--r--system/postgresql/README4
-rw-r--r--system/postgresql/README.SBo17
-rw-r--r--system/postgresql/postgresql.SlackBuild26
-rw-r--r--system/postgresql/postgresql.info10
-rw-r--r--system/postgresql/postgresql.logrotate13
-rw-r--r--system/postgresql/rc.postgresql.new31
-rw-r--r--system/postgresql/slack-desc4
7 files changed, 70 insertions, 35 deletions
diff --git a/system/postgresql/README b/system/postgresql/README
index 476b2ac0b5..7ff1c6609e 100644
--- a/system/postgresql/README
+++ b/system/postgresql/README
@@ -3,5 +3,5 @@ system (ORDBMS) based on POSTGRES. With more than 15 years of
development history, it is quickly becoming the de facto
database for enterprise level open source solutions.
-Before you can run postgresql you'll need to create the
-database, please see README.SBo. \ No newline at end of file
+Before you can run postgresql you'll need to create the database;
+please see README.SBo.
diff --git a/system/postgresql/README.SBo b/system/postgresql/README.SBo
index 24bd944c72..dd088c0dd6 100644
--- a/system/postgresql/README.SBo
+++ b/system/postgresql/README.SBo
@@ -5,7 +5,7 @@ the trick.
Additionally, a logrotation script and init script are included.
For production level log file handling please read
-http://www.postgresql.org/docs/8.3/interactive/logfile-maintenance.html
+http://www.postgresql.org/docs/8.4/interactive/logfile-maintenance.html
In order to start postgresql at boot and stop it properly at shutdown,
make sure rc.postgresql is executable and add the following lines to
@@ -25,13 +25,16 @@ the following files:
/etc/rc.d/rc.postgresql stop
fi
-This script builds postgresql with the 'adminpack', 'tsearch2', and
-'pgcrypto' features in the contrib directory.
+Additionally, rc.postgresql script has additionalg modes for stop/restart:
+ force-stop|force-restart (i.e. pg_ctl 'fast' mode)
+ unclean-stop|unclean-restart (i.e. pg_ctl 'immediate' mode)
+See http://www.postgresql.org/docs/8.4/static/app-pg-ctl.html
+
+This script builds postgresql with the 'adminpack' and 'pgcrypto'
+features in the contrib directory.
Please note that in order to actually use extension, you must execute
accompanying SQL scripts located in /usr/share/postgresql/contrib
-Since 8.3 tsearch2 functionality is available in PostgreSQL core, and
-'tsearch2' extension serves only as a compatibility layer. You can
-prevent building of this extension with:
- TSEARCH2_COMPAT=no ./postgresql.SlackBuild
+Additionally, you can enable tsearch2 compatibility module with:
+ TSEARCH2_COMPAT=yes ./postgresql.SlackBuild
diff --git a/system/postgresql/postgresql.SlackBuild b/system/postgresql/postgresql.SlackBuild
index 0b77a2a795..bffcc46125 100644
--- a/system/postgresql/postgresql.SlackBuild
+++ b/system/postgresql/postgresql.SlackBuild
@@ -1,16 +1,16 @@
#!/bin/sh
## Slackware build script for PostgreSQL
-## $Revision: a8b7a8527f9a $
-## $Date: 2008/06/11 08:11:50 $
-##
-## Copyright 2007-2008 Adis Nezirovic <adis _at_ linux.org.ba>
+## $Revision: 5548380e2466 $
+## $Date: 2009/09/09 17:37:50 $
+##
+## Copyright 2007-2009 Adis Nezirovic <adis _at_ linux.org.ba>
## Licensed under GNU GPL v2
# Modified by the SlackBuilds.org Project
PRGNAM=postgresql
-VERSION=8.3.7
+VERSION=8.4.2
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -62,17 +62,20 @@ CFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
--libdir=/usr/lib${LIBDIRSUFFIX} \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
--with-openssl \
--with-tcl \
--with-perl \
--with-python \
--with-ldap \
--with-libxml \
+ --with-libxslt \
--enable-thread-safety \
--build=$ARCH-slackware-linux
make
-make install-strip DESTDIR=$PKG
+make install-strip DESTDIR=$PKG
# adminpack extension for pgAdmin
cd contrib/adminpack
@@ -82,10 +85,9 @@ cd $TMP/$PRGNAM-$VERSION
# Since version 8.3 tsearch2 is directly supported by PostgreSQL
# This contrib module is now a compatibility layer.
-# If you haven't user tsearch2 previously you can disable
-# compatibility layer by running:
-# TSEARCH2_COMPAT=no ./postgresql.SlackBuild
-if [ "$TSEARCH2_COMPAT" != "no" ]; then
+# You can enable it by with:
+# TSEARCH2_COMPAT=yes ./postgresql.SlackBuild
+if ! [ "${TSEARCH2_COMPAT:-no}" == "no" ]; then
cd contrib/tsearch2
make
make install-strip DESTDIR=$PKG
@@ -103,12 +105,10 @@ cd $TMP/$PRGNAM-$VERSION
for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
)
-mv $PKG/usr/doc/$PRGNAM $PKG/usr/doc/$PRGNAM-$VERSION
cp -a COPYRIGHT HISTORY README doc/* $PKG/usr/doc/$PRGNAM-$VERSION/
rm -rf $PKG/usr/doc/$PRGNAM-$VERSION/{man.tar.gz,man1,manl,man7,postgres.tar.gz}
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
cat $CWD/README.SBo > $PKG/usr/doc/$PRGNAM-$VERSION/README.SBo
-chown -R root:root $PKG/usr/doc
# base database directory
# assumes you are using /var/lib/pgsql as a homedir for postgres user
@@ -136,4 +136,4 @@ cat $CWD/slack-desc > $PKG/install/slack-desc
cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/postgresql/postgresql.info b/system/postgresql/postgresql.info
index 21f9a1c782..09693ca017 100644
--- a/system/postgresql/postgresql.info
+++ b/system/postgresql/postgresql.info
@@ -1,8 +1,10 @@
PRGNAM="postgresql"
-VERSION="8.3.7"
+VERSION="8.4.2"
HOMEPAGE="http://www.postgresql.org"
-DOWNLOAD="ftp://ftp.postgresql.org/pub/source/v8.3.7/postgresql-8.3.7.tar.bz2"
-MD5SUM="7b7e91a2221e55fe1b167e663217a96d"
+DOWNLOAD="ftp://ftp.postgresql.org/pub/source/v8.4.2/postgresql-8.4.2.tar.bz2"
+DOWNLOAD_x86_64=""
+MD5SUM="d738227e2f1f742d2f2d4ab56496c5c6"
+MD5SUM_x86_64=""
MAINTAINER="Adis Nezirovic"
EMAIL="adis_at_linux.org.ba"
-APPROVED="rworkman"
+APPROVED="Erik Hanson"
diff --git a/system/postgresql/postgresql.logrotate b/system/postgresql/postgresql.logrotate
index 11ce787a9e..d68ccf71bc 100644
--- a/system/postgresql/postgresql.logrotate
+++ b/system/postgresql/postgresql.logrotate
@@ -1,8 +1,9 @@
/var/log/postgresql {
- postrotate
- /etc/rc.d/rc.postgresql reload 2>&1 > /dev/null
- endscript
- size=100k
- rotate 5
- create 0640 postgres wheel
+ daily
+ rotate 7
+ copytruncate
+ delaycompress
+ compress
+ notifempty
+ missingok
}
diff --git a/system/postgresql/rc.postgresql.new b/system/postgresql/rc.postgresql.new
index 347fe28019..5eef25badd 100644
--- a/system/postgresql/rc.postgresql.new
+++ b/system/postgresql/rc.postgresql.new
@@ -81,11 +81,39 @@ case "$1" in
pg_ctl stop -l $LOGFILE -D $DATADIR -m smart
;;
+ "force-stop")
+ # Take care! This will kill _all_ client connections
+ # and rollback current transactions.
+ echo "Shutting down PostgreSQL (fast)..."
+ pg_ctl stop -l $LOGFILE -D $DATADIR -m fast
+ ;;
+
+ "unclean-stop")
+ # Take care: This will abort server process itself
+ # resulting with database recovery on next start.
+ echo "Shutting down PostgreSQL (immediate)..."
+ pg_ctl stop -l $LOGFILE -D $DATADIR -m immediate
+ ;;
+
"restart")
echo "Restarting PostgreSQL..."
pg_ctl restart -l $LOGFILE -D $DATADIR -m smart
;;
+ "force-restart")
+ # Take care! This will kill _all_ client connections
+ # and rollback current transactions.
+ echo "Restarting PostgreSQL (fast)..."
+ pg_ctl restart -l $LOGFILE -D $DATADIR -m fast
+ ;;
+
+ "unclean-restart")
+ # Take care: This will abort server process itself
+ # resulting with database recovery on start.
+ echo "Restarting PostgreSQL (immediate)..."
+ pg_ctl restart -l $LOGFILE -D $DATADIR -m immediate
+ ;;
+
"reload")
echo "Reloading configuration for PostgreSQL..."
pg_ctl reload -l $LOGFILE -D $DATADIR -m smart
@@ -112,7 +140,8 @@ case "$1" in
;;
*)
- echo "Usage: $0 {start|stop|status|restart|reload}"
+ # unclean-stop and unclean-restart are not documented on purpose.
+ echo "Usage: $0 {start|stop|force-stop|status|restart|force-restart|reload}"
exit 1
;;
esac
diff --git a/system/postgresql/slack-desc b/system/postgresql/slack-desc
index c1dec2da81..24c307fae9 100644
--- a/system/postgresql/slack-desc
+++ b/system/postgresql/slack-desc
@@ -12,8 +12,8 @@ postgresql: PostgreSQL is an advanced object-relational database management
postgresql: system (ORDBMS) based on POSTGRES. With more than 15 years of
postgresql: development history, it is quickly becoming the de facto
postgresql: database for enterprise level open source solutions.
-postgresql: This build includes full text search support (tsearch2).
postgresql:
postgresql: Homepage: http://www.postgresql.org
postgresql:
-postgresql:
+postgresql:
+postgresql: